Summary:	PEP 518 build backend that uses setuptools_scm to generate a version file, then flit to build the package
Summary(pl.UTF-8):	Backend budowania PEP 518, wykorzystujący setuptools_scm do wygenerowania pliku wersji, a następnie flita do zbudowania pakietu
Name:		python3-flit_scm
Version:	1.7.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/flit-scm/
Source0:	https://files.pythonhosted.org/packages/source/f/flit_scm/flit_scm-%{version}.tar.gz
# Source0-md5:	591a310a0cb7488094f7f8e0d041195f
URL:		https://pypi.org/project/flit-scm/
BuildRequires:	python3-build
BuildRequires:	python3-flit_core >= 3.5
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools_scm >= 6.4
%if "%{_ver_lt %{py3_ver} 3.11}" == "1"
BuildRequires:	python3-tomli
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A PEP 518 build backend that uses setuptools_scm to generate a version
file from your version control system, then flit_core to build the
package.

%description -l pl.UTF-8
Backend budowania PEP 518, wykorzystujący setuptools_scm do
wygenerowania pliku wersji z systemu kontroli wersji, a następnie
flit_core do zbudowania pakietu.

%prep
%setup -q -n flit_scm-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/flit_scm
%{py3_sitescriptdir}/flit_scm-%{version}.dist-info
%changelog
* Sat Jul 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-flit_scm.git;a=log;h=master

* Sat Jul 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 389df35
- new

